language stringclasses 1
value | owner stringlengths 2 15 | repo stringlengths 2 21 | sha stringlengths 45 45 | message stringlengths 7 36.3k | path stringlengths 1 199 | patch stringlengths 15 102k | is_multipart bool 2
classes |
|---|---|---|---|---|---|---|---|
Other | Homebrew | brew | 00909fc282a30eede83eddd77e8725951d40e33e.json | Update RBI files for rubocop-sorbet. | Library/Homebrew/sorbet/rbi/gems/rubocop-sorbet@0.6.8.rbi | @@ -20,7 +20,8 @@ class RuboCop::Cop::Sorbet::BindingConstantWithoutTypeAlias < ::RuboCop::Cop::Co
def autocorrect(node); end
def binding_unaliased_type?(param0 = T.unsafe(nil)); end
def dynamic_type_creation_with_block?(param0 = T.unsafe(nil)); end
- def generic_parameter_decl?(param0 = T.unsafe(nil)); end
+... | true |
Other | Homebrew | brew | 00909fc282a30eede83eddd77e8725951d40e33e.json | Update RBI files for rubocop-sorbet. | Library/Homebrew/sorbet/rbi/hidden-definitions/hidden.rbi | @@ -5239,6 +5239,11 @@ class RuboCop::Cop::FormulaCop
def required_dependency_name?(param0, param1); end
end
+class RuboCop::Cop::Style::MutableConstant
+ include ::RuboCop::Cop::Sorbet::MutableConstantSorbetAwareBehaviour
+ def t_let(param0=T.unsafe(nil)); end
+end
+
module RuboCop::RSpec::ExpectOffense
de... | true |
Other | Homebrew | brew | 0d818645971a59527c4205408c9f2f49afb12a6e.json | Use file.dirname in most cleaner tests | Library/Homebrew/test/cleaner_spec.rb | @@ -96,7 +96,7 @@
it "removes '.la' files" do
file = f.lib/"foo.la"
- f.lib.mkpath
+ file.dirname.mkpath
touch file
cleaner.clean
@@ -107,7 +107,7 @@
it "removes 'perllocal' files" do
file = f.lib/"perl5/darwin-thread-multi-2level/perllocal.pod"
- (f.lib/"perl5... | false |
Other | Homebrew | brew | fbb3ccbfd6d6ea896bf1ae7b5f20ea8c267511fe.json | Keep `info/#{f.name}/dir` files in cleaner
Still cleans `info/dir` and `info/<arch>/dir` files.
Fixes https://github.com/Homebrew/homebrew-core/issues/100190 | Library/Homebrew/cleaner.rb | @@ -31,7 +31,7 @@ def clean
# Get rid of any info 'dir' files, so they don't conflict at the link stage
Dir.glob(@f.info/"**/dir").each do |f|
info_dir_file = Pathname(f)
- observe_file_removal info_dir_file if info_dir_file.file? && !@f.skip_clean?(info_dir_file)
+ observe_file_removal info_... | true |
Other | Homebrew | brew | fbb3ccbfd6d6ea896bf1ae7b5f20ea8c267511fe.json | Keep `info/#{f.name}/dir` files in cleaner
Still cleans `info/dir` and `info/<arch>/dir` files.
Fixes https://github.com/Homebrew/homebrew-core/issues/100190 | Library/Homebrew/test/cleaner_spec.rb | @@ -136,6 +136,26 @@
expect(file).not_to exist
end
+
+ it "removes 'info/**/dir' files except for 'info/<name>/dir'" do
+ file = f.info/"dir"
+ arch_file = f.info/"i686-elf/dir"
+ name_file = f.info/"#{f.name}/dir"
+
+ f.info.mkpath
+ (f.info/"i686-elf").mkpath
+ (f.info/"... | true |
Other | Homebrew | brew | 0cc880c038991cff3d51bd326495d34fb15689ba.json | Update RBI files for activesupport. | Library/Homebrew/sorbet/rbi/gems/activesupport@6.1.5.1.rbi | @@ -2784,6 +2784,7 @@ end
module ActiveSupport::VERSION; end
ActiveSupport::VERSION::MAJOR = T.let(T.unsafe(nil), Integer)
ActiveSupport::VERSION::MINOR = T.let(T.unsafe(nil), Integer)
+ActiveSupport::VERSION::PRE = T.let(T.unsafe(nil), String)
ActiveSupport::VERSION::STRING = T.let(T.unsafe(nil), String)
ActiveSu... | true |
Other | Homebrew | brew | 0cc880c038991cff3d51bd326495d34fb15689ba.json | Update RBI files for activesupport. | Library/Homebrew/sorbet/rbi/hidden-definitions/hidden.rbi | @@ -24,10 +24,6 @@ module ActiveSupport::ForkTracker::CoreExtPrivate
include ::ActiveSupport::ForkTracker::CoreExt
end
-module ActiveSupport::VERSION
- PRE = ::T.let(nil, ::T.untyped)
-end
-
class Addrinfo
def connect_internal(local_addrinfo, timeout=T.unsafe(nil)); end
end | true |
Other | Homebrew | brew | f15ac65cedcf9bea678316f23e1eeb9cf21fecab.json | workflows/docker: add OCI metadata | .github/workflows/docker.yml | @@ -29,7 +29,20 @@ jobs:
run: git fetch origin master
- name: Build Docker image
- run: docker build -t brew --build-arg=version=${{matrix.version}} .
+ run: |
+ brew_version="$(git describe --tags --dirty --abbrev=7)"
+ echo "Building for Homebrew ${brew_version}"
+ ... | false |
Other | Homebrew | brew | b3da8dbd24f61fdc5f319bf1a4253e86682a0bff.json | test/os/mac/pkgconfig_spec: fix libffi detection on 12.3+ SDK | Library/Homebrew/test/os/mac/pkgconfig_spec.rb | @@ -68,7 +68,7 @@ def pc_version(library)
it "returns the correct version for libffi" do
version = File.foreach("#{sdk}/usr/include/ffi/ffi.h")
.lazy
- .grep(/^\s*libffi (\S+) - Copyright /) { Regexp.last_match(1) }
+ .grep(/^\s*libffi (\S+)\s+- Copyright /) ... | false |
Other | Homebrew | brew | 27466b01da0aabb3681956c50141ddbfc4e45c6b.json | searchable: flatten array before matching
Fix #13203 which occurs when searching cask descriptions. | Library/Homebrew/searchable.rb | @@ -23,7 +23,7 @@ def simplify_string(string)
def search_regex(regex)
select do |*args|
args = yield(*args) if block_given?
- args = Array(args).compact
+ args = Array(args).flatten.compact
args.any? { |arg| arg.match?(regex) }
end
end | false |
Other | Homebrew | brew | 37c46e1acd4ca5f117c6af9a85f18b303359c141.json | Remove space before colon in `livecheck` output | Library/Homebrew/livecheck/livecheck.rb | @@ -441,7 +441,7 @@ def print_latest_version(info, verbose:, ambiguous_cask: false)
info[:version][:latest]
end
- puts "#{formula_or_cask_s} : #{current_s} ==> #{latest_s}"
+ puts "#{formula_or_cask_s}: #{current_s} ==> #{latest_s}"
end
sig { | true |
Other | Homebrew | brew | 37c46e1acd4ca5f117c6af9a85f18b303359c141.json | Remove space before colon in `livecheck` output | Library/Homebrew/livecheck/skip_conditions.rb | @@ -264,12 +264,12 @@ def print_skip_information(skip_hash)
if skip_hash[:messages].is_a?(Array) && skip_hash[:messages].count.positive?
# TODO: Handle multiple messages, only if needed in the future
if skip_hash[:status] == "skipped"
- puts "#{Tty.red}#{name}#{Tty.reset} : ski... | true |
Other | Homebrew | brew | 37c46e1acd4ca5f117c6af9a85f18b303359c141.json | Remove space before colon in `livecheck` output | Library/Homebrew/test/dev-cmd/livecheck_spec.rb | @@ -15,7 +15,7 @@
setup_test_formula("test", content)
expect { brew "livecheck", "test" }
- .to output(/test : /).to_stdout
+ .to output(/test: /).to_stdout
.and not_to_output.to_stderr
.and be_a_success
end | true |
Other | Homebrew | brew | 37c46e1acd4ca5f117c6af9a85f18b303359c141.json | Remove space before colon in `livecheck` output | Library/Homebrew/test/livecheck/skip_conditions_spec.rb | @@ -470,103 +470,103 @@
context "when a formula without a livecheckable is deprecated" do
it "prints skip information" do
expect { skip_conditions.print_skip_information(status_hashes[:formula][:deprecated]) }
- .to output("test_deprecated : deprecated\n").to_stdout
+ .to output("... | true |
Other | Homebrew | brew | b7a43604331fb8a7c8ba2b42d1caccb1d3eb97f9.json | #parse_curl_output: increase default max_iterations
The `max_iterations` value in `#parse_curl_output` is only intended
to prevent its `while` loop from potentially turning into an endless
loop. This should only come into play in exceptional circumstances
but the current default value (5) is low enough that we're seei... | Library/Homebrew/utils/curl.rb | @@ -400,7 +400,7 @@ def http_status_ok?(status)
# @return [Hash] A hash containing an array of response hashes and the body
# content, if found.
sig { params(output: String, max_iterations: Integer).returns(T::Hash[Symbol, T.untyped]) }
- def parse_curl_output(output, max_iterations: 5)
+ def par... | false |
Other | Homebrew | brew | d6202384d750909c67b3be79b4dc1b80722c829d.json | Curl: Remove guard from certain parsing logic
The `#curl_http_content_headers_and_checksum` method previously
parsed responses from `curl` output even if `status.success?` wasn't
`true`. A recent commit of mine moved the parsing logic behind this
guard but it's now leading to a "...is not reachable" error when a URL
i... | Library/Homebrew/utils/curl.rb | @@ -345,20 +345,20 @@ def curl_http_content_headers_and_checksum(
user_agent: user_agent
)
- if status.success?
- parsed_output = parse_curl_output(output)
- responses = parsed_output[:responses]
+ parsed_output = parse_curl_output(output)
+ responses = parsed_outpu... | false |
Other | Homebrew | brew | a4590f394e71384bb7acd780bc51ff184d8f2e1e.json | search: drop Homebrew cask tap names from list
Results in searching a list of tokens from official Homebrew cask taps and fully-qualified tokens from other taps, matching the list when searching formulae. | Library/Homebrew/extend/os/mac/search.rb | @@ -29,7 +29,9 @@ def search_casks(string_or_regex)
end
end
- cask_tokens = Tap.flat_map(&:cask_tokens)
+ cask_tokens = Tap.flat_map(&:cask_tokens).map do |c|
+ c.sub(%r{^homebrew/cask.*/}, "")
+ end
results = cask_tokens.extend(Searchable)
... | false |
Other | Homebrew | brew | 6797cd3dcb580e03d26e601d9ab2a949e1bdd55e.json | Dockerfile: leave gpg-agent installed | Dockerfile | @@ -5,7 +5,7 @@ ARG DEBIAN_FRONTEND=noninteractive
# hadolint ignore=DL3008
RUN apt-get update \
- && apt-get install -y --no-install-recommends software-properties-common gnupg-agent \
+ && apt-get install -y --no-install-recommends software-properties-common gpg-agent \
&& add-apt-repository -y ppa:git-core/... | false |
Other | Homebrew | brew | 7d1a97f015ade9b93217246a785908e9b3fd3690.json | Dockerfile: purge unneeded packages | Dockerfile | @@ -5,7 +5,7 @@ ARG DEBIAN_FRONTEND=noninteractive
# hadolint ignore=DL3008
RUN apt-get update \
- && apt-get install -y --no-install-recommends software-properties-common \
+ && apt-get install -y --no-install-recommends software-properties-common gnupg-agent \
&& add-apt-repository -y ppa:git-core/ppa \
&... | false |
Other | Homebrew | brew | 7ffaaf8c9a9170e19d00bef9b78dda7ea42a02ea.json | Dockerfile: install gpg agent | Dockerfile | @@ -18,6 +18,7 @@ RUN apt-get update \
gawk \
git \
gnupg \
+ gnupg-agent \
less \
libz-dev \
locales \ | false |
Other | Homebrew | brew | 2722fbe30e20c53665357f7a71bbcf378990302e.json | #parse_curl_output: add max_iterations parameter
In cases where there may be more than five responses in `curl`
output to parse, we need to be able to control the `max_iterations`
of the `while` loop in `#parse_curl_output` to properly parse all
the responses.
For example, if we pass `--max-redirs 5` to `curl` and th... | Library/Homebrew/utils/curl.rb | @@ -393,13 +393,17 @@ def http_status_ok?(status)
# `:status_code`, `:status_text`, and `:headers`.
# @param output [String] The output text from `curl` containing HTTP
# responses, body content, or both.
+ # @param max_iterations [Integer] The maximum number of iterations for the
+ # `while` l... | false |
Other | Homebrew | brew | 9171eb2e160d48bad19c168b730bde5969b5293c.json | Curl: Add methods to parse response | Library/Homebrew/test/utils/curl_spec.rb | @@ -4,6 +4,173 @@
require "utils/curl"
describe "Utils::Curl" do
+ let(:location_urls) {
+ %w[
+ https://example.com/example/
+ https://example.com/example1/
+ https://example.com/example2/
+ ]
+ }
+
+ let(:response_hash) {
+ response_hash = {}
+
+ response_hash[:ok] = {
+ status_... | true |
Other | Homebrew | brew | 9171eb2e160d48bad19c168b730bde5969b5293c.json | Curl: Add methods to parse response | Library/Homebrew/utils/curl.rb | @@ -14,6 +14,17 @@ module Curl
using TimeRemaining
+ # HTTP responses and body content are typically separated by a double
+ # `CRLF` (whereas HTTP header lines are separated by a single `CRLF`).
+ # In rare cases, this can also be a double newline (`\n\n`).
+ HTTP_RESPONSE_BODY_SEPARATOR = "\r\n\r... | true |
Other | Homebrew | brew | 4ffc69764ad3614f3a36bf1168e7df536ee25931.json | Update RBI files for rubocop-rspec. | Library/Homebrew/sorbet/rbi/gems/rubocop-rspec@2.10.0.rbi | @@ -6,39 +6,6 @@
module RuboCop; end
module RuboCop::Cop; end
-module RuboCop::Cop::Layout; end
-
-class RuboCop::Cop::Layout::ExtraSpacing < ::RuboCop::Cop::Base
- include ::RuboCop::Cop::PrecedingFollowingAlignment
- include ::RuboCop::Cop::RangeHelp
- extend ::RuboCop::Cop::AutoCorrector
-
- def on_new_inves... | false |
Other | Homebrew | brew | 6dd6758824e48ef041536bde43d32657aa11bdc7.json | workflows/codeql: Improve branch triggers and remove `fail-fast`
Co-authored-by: Mike McQuaid <mike@mikemcquaid.com> | .github/workflows/codeql-analysis.yml | @@ -2,9 +2,11 @@ name: "CodeQL"
on:
push:
- branches: [ master ]
+ branches:
+ - master
pull_request:
- branches: [ master ]
+ branches:
+ - master
jobs:
analyze:
@@ -15,9 +17,6 @@ jobs:
contents: read
security-events: write
- strategy:
- fail-fast: false
-
steps:
... | false |
Other | Homebrew | brew | aa36b343cab9a998d6e5359df8921200ba37ba3f.json | rubocops/urls: Escape `.`s in hostnames in regexps | Library/Homebrew/rubocops/urls.rb | @@ -21,7 +21,7 @@ def audit_formula(_node, _class_node, _parent_class_node, body_node)
end
# GNU URLs; doesn't apply to mirrors
- gnu_pattern = %r{^(?:https?|ftp)://ftpmirror.gnu.org/(.*)}
+ gnu_pattern = %r{^(?:https?|ftp)://ftpmirror\.gnu\.org/(.*)}
audit_urls(urls... | false |
Other | Homebrew | brew | ffe0c18b2a10b8bc6369b2095a556fcb1ad4135c.json | rubocops/homepage: Escape `.`s in hostnames in regexps | Library/Homebrew/rubocops/homepage.rb | @@ -70,12 +70,12 @@ def audit_formula(_node, _class_node, _parent_class_node, body_node)
when
# Check for http:// GitHub homepage URLs, https:// is preferred.
# Note: only check homepages that are repo pages, not *.github.com hosts
- %r{^http://github.com/},
+ ... | false |
Other | Homebrew | brew | 63742cd4804b0004fa537b760c96667885de54d2.json | dev-cmd/bump-formula-pr: Escape `.`s in hostnames in regexps
> This regular expression has an unescaped '.' before 'apache.org/dyn/closer', so it might match more hosts than expected. | Library/Homebrew/dev-cmd/bump-formula-pr.rb | @@ -383,13 +383,13 @@ def determine_formula_from_url(url)
def determine_mirror(url)
case url
- when %r{.*ftp.gnu.org/gnu.*}
+ when %r{.*ftp\.gnu\.org/gnu.*}
url.sub "ftp.gnu.org/gnu", "ftpmirror.gnu.org"
- when %r{.*download.savannah.gnu.org/*}
+ when %r{.*download\.savannah\.gnu\.org/*}
... | false |
Other | Homebrew | brew | 266daffbd1bf5d323fe2f92dc53d8deadb6592c0.json | workflows: Add Code Scanning
- https://docs.github.com/en/code-security/code-scanning/automatically-scanning-your-code-for-vulnerabilities-and-errors/about-code-scanning
- I just joined the Code Scanning team at work and I figured I'd test out the actual product in the real world by seeing what things it points out fo... | .github/codeql/codeql-config.yml | @@ -0,0 +1,2 @@
+paths-ignore:
+ - Library/Homebrew/vendor/ | true |
Other | Homebrew | brew | 266daffbd1bf5d323fe2f92dc53d8deadb6592c0.json | workflows: Add Code Scanning
- https://docs.github.com/en/code-security/code-scanning/automatically-scanning-your-code-for-vulnerabilities-and-errors/about-code-scanning
- I just joined the Code Scanning team at work and I figured I'd test out the actual product in the real world by seeing what things it points out fo... | .github/workflows/codeql-analysis.yml | @@ -0,0 +1,36 @@
+name: "CodeQL"
+
+on:
+ push:
+ branches: [ master ]
+ pull_request:
+ branches: [ master ]
+ schedule:
+ - cron: '30 2 * * 0'
+
+jobs:
+ analyze:
+ name: Analyze
+ runs-on: ubuntu-latest
+ permissions:
+ actions: read
+ contents: read
+ security-events: write
+
+ strategy:
+... | true |
Other | Homebrew | brew | 774537d3c2be6cc26dc583f0314871026a9b7bec.json | formula_installer: handle unexpected .brew presence/absence | Library/Homebrew/formula_cellar_checks.rb | @@ -285,13 +285,15 @@ def check_service_command(formula)
end
def check_cpuid_instruction(formula)
- return unless formula.prefix.directory?
- # TODO: add methods to `utils/ast` to allow checking for method use
- return unless (formula.prefix/".brew/#{formula.name}.rb").read.include? "ENV.runtime_cpu_de... | true |
Other | Homebrew | brew | 774537d3c2be6cc26dc583f0314871026a9b7bec.json | formula_installer: handle unexpected .brew presence/absence | Library/Homebrew/formula_installer.rb | @@ -460,7 +460,7 @@ def install
end
s = formula_contents.gsub(/ bottle do.+?end\n\n?/m, "")
brew_prefix = formula.prefix/".brew"
- brew_prefix.mkdir
+ brew_prefix.mkpath
Pathname(brew_prefix/"#{formula.name}.rb").atomic_write(s)
keg = Keg.new(formula.prefix) | true |
Other | Homebrew | brew | 7c273dc5b5961b17f95675e418838dcd62cf1fb7.json | Update RBI files for public_suffix. | Library/Homebrew/sorbet/rbi/gems/public_suffix@4.0.7.rbi | @@ -1,9 +1,9 @@
+# typed: true
+
# DO NOT EDIT MANUALLY
# This is an autogenerated file for types exported from the `public_suffix` gem.
# Please instead update this file by running `bin/tapioca gem public_suffix`.
-# typed: true
-
module PublicSuffix
class << self
def decompose(name, rule); end | true |
Other | Homebrew | brew | 7c273dc5b5961b17f95675e418838dcd62cf1fb7.json | Update RBI files for public_suffix. | Library/Homebrew/sorbet/rbi/parlour.rbi | @@ -158,6 +158,9 @@ module Cask
sig { returns(T::Boolean) }
def verbose?; end
+ sig { returns(T::Boolean) }
+ def zap?; end
+
sig { returns(T::Boolean) }
def installed_as_dependency?; end
| true |
Other | Homebrew | brew | 85c387393cefc4627b02f1caa86d0d165193b762.json | Update RBI files for sorbet. | Library/Homebrew/sorbet/rbi/parlour.rbi | @@ -158,6 +158,9 @@ module Cask
sig { returns(T::Boolean) }
def verbose?; end
+ sig { returns(T::Boolean) }
+ def zap?; end
+
sig { returns(T::Boolean) }
def installed_as_dependency?; end
| false |
Other | Homebrew | brew | 17ee0eefb8107067fa3d1793a008dce6a8b352a8.json | utils/github: fix errors with check suites without workflow runs | Library/Homebrew/utils/github.rb | @@ -312,7 +312,7 @@ def get_workflow_run(user, repo, pr, workflow_id: "tests.yml", artifact_name: "b
commit_node = result["repository"]["pullRequest"]["commits"]["nodes"].first
check_suite = if commit_node.present?
commit_node["commit"]["checkSuites"]["nodes"].select do |suite|
- suite["workflow... | false |
Other | Homebrew | brew | 3d5d12e8b9fad28d2923ade47ac970dfd7144843.json | service: add sockets and keepalive variants | Library/Homebrew/service.rb | @@ -18,6 +18,8 @@ class Service
PROCESS_TYPE_INTERACTIVE = :interactive
PROCESS_TYPE_ADAPTIVE = :adaptive
+ KEEP_ALIVE_KEYS = [:always, :successful_exit, :crashed, :path].freeze
+
# sig { params(formula: Formula).void }
def initialize(formula, &block)
@formula = formula
@@ -100,15 +102,4... | true |
Other | Homebrew | brew | 3d5d12e8b9fad28d2923ade47ac970dfd7144843.json | service: add sockets and keepalive variants | Library/Homebrew/test/service_spec.rb | @@ -45,6 +45,19 @@
end
end
+ describe "#keep_alive" do
+ it "throws for unexpected keys" do
+ f.class.service do
+ run opt_bin/"beanstalkd"
+ keep_alive test: "key"
+ end
+
+ expect {
+ f.service.manual_command
+ }.to raise_error TypeError, "Service#keep_alive allo... | true |
Other | Homebrew | brew | 3d5d12e8b9fad28d2923ade47ac970dfd7144843.json | service: add sockets and keepalive variants | docs/Formula-Cookbook.md | @@ -799,6 +799,7 @@ The only required field in a `service` block is the `run` field to indicate what
| `restart_delay` | - | yes | yes | The delay before restarting a process |
| `process_type` | - | yes | no-op | The type... | true |
Other | Homebrew | brew | 47699614fd4c5dce4d0c1216f09756c84c653f1b.json | repair the command option | Library/Homebrew/dev-cmd/edit.rb | @@ -64,7 +64,7 @@ def edit
else
<<~EOS
#{path} doesn't exist on disk. \
- Run #{Formatter.identifier("brew create --set-name #{path.basename} $URL")} \
+ Run #{Formatter.identifier("brew create --formula --set-name #{path.basename} $URL")} \
to create ... | false |
Other | Homebrew | brew | a5c29fff2d30ac23eecb2bb7bb0d7d3c9193ac98.json | utils/github.rb: convert pr to integer
Follow up adter #13124
I made the choice to convert the pr variable to an integer
at the very end and adjust the tests.
It would be maybe more consistent to work with an integer
everywhere, but this needs a more careful analysis and we
are in a hurry to fix the homberew-core up... | Library/Homebrew/test/utils/github_spec.rb | @@ -69,22 +69,22 @@
it "fails to find a nonexistent workflow" do
expect {
described_class.get_artifact_url(
- described_class.get_workflow_run("Homebrew", "homebrew-core", 1),
+ described_class.get_workflow_run("Homebrew", "homebrew-core", "1"),
)
}.to raise_error(... | true |
Other | Homebrew | brew | a5c29fff2d30ac23eecb2bb7bb0d7d3c9193ac98.json | utils/github.rb: convert pr to integer
Follow up adter #13124
I made the choice to convert the pr variable to an integer
at the very end and adjust the tests.
It would be maybe more consistent to work with an integer
everywhere, but this needs a more careful analysis and we
are in a hurry to fix the homberew-core up... | Library/Homebrew/utils/github.rb | @@ -305,7 +305,7 @@ def get_workflow_run(user, repo, pr, workflow_id: "tests.yml", artifact_name: "b
variables = {
user: user,
repo: repo,
- pr: pr,
+ pr: pr.to_i,
}
result = API.open_graphql(query, variables: variables, scopes: scopes)
| true |
Other | Homebrew | brew | 90d832eb7e17eeb7f077e8def1f8667dda91c04b.json | Update RBI files for regexp_parser. | Library/Homebrew/sorbet/rbi/gems/regexp_parser@2.3.0.rbi | @@ -799,57 +799,62 @@ end
module Regexp::Syntax
private
- def comparable_version(name); end
+ def comparable(name); end
def const_missing(const_name); end
def fallback_version_class(version); end
- def inherit_from_version(parent_version, new_version); end
+ def for(name); end
def new(name); end
d... | false |
Other | Homebrew | brew | e19bf06b4f577bda8a6dd9d49780629a91020967.json | Update RBI files for rubocop-ast. | Library/Homebrew/sorbet/rbi/gems/rubocop-ast@1.17.0.rbi | @@ -1449,10 +1449,12 @@ RuboCop::AST::NodePattern::Sets::SET_LOAD_RESTORE = T.let(T.unsafe(nil), Set)
RuboCop::AST::NodePattern::Sets::SET_MAP_COLLECT = T.let(T.unsafe(nil), Set)
RuboCop::AST::NodePattern::Sets::SET_MATCH_MATCH = T.let(T.unsafe(nil), Set)
RuboCop::AST::NodePattern::Sets::SET_MATCH__MATCH = T.let(T.u... | true |
Other | Homebrew | brew | e19bf06b4f577bda8a6dd9d49780629a91020967.json | Update RBI files for rubocop-ast. | Library/Homebrew/sorbet/rbi/hidden-definitions/hidden.rbi | @@ -5041,11 +5041,7 @@ module RuboCop::AST::NodePattern::Sets
SET_BUILD_RECOMMENDED_TEST_OPTIONAL = ::T.let(nil, ::T.untyped)
SET_DEPENDS_ON_USES_FROM_MACOS = ::T.let(nil, ::T.untyped)
SET_INCLUDE_WITH_WITHOUT = ::T.let(nil, ::T.untyped)
- SET_MESSAGES_DETAILS = ::T.let(nil, ::T.untyped)
- SET_NOTICE_ALERT =... | true |
Other | Homebrew | brew | a50db1378eeee12ce7c728e056fb731c9282175f.json | download_strategy: ignore query strings when parsing resolved URLs | Library/Homebrew/download_strategy.rb | @@ -327,7 +327,7 @@ def resolved_url_and_basename
@resolved_url_and_basename = [url, parse_basename(url)]
end
- def parse_basename(url)
+ def parse_basename(url, search_query: true)
uri_path = if url.match?(URI::DEFAULT_PARSER.make_regexp)
uri = URI(url)
@@ -339,7 +339,11 @@ def parse_basename... | false |
Other | Homebrew | brew | 4c75c82a79737a0f4bb9867ca11fcaf6a2bfa0ca.json | Fix "OpenCollective" references. | docs/Homebrew-Governance.md | @@ -48,7 +48,7 @@
## 4. Project Leadership Committee
-1. The financial administration of Homebrew, organisation of the AGM, enforcement of the code of conduct and removal of members are performed by the PLC. The PLC will represent Homebrew in all dealings with OpenCollective.
+1. The financial administration of Ho... | true |
Other | Homebrew | brew | 4c75c82a79737a0f4bb9867ca11fcaf6a2bfa0ca.json | Fix "OpenCollective" references. | docs/Homebrew-Leadership-Responsibilities.md | @@ -12,7 +12,7 @@
### PLC Shared Responsibilities
-- approving OpenCollective expenses that are expected or have already been agreed upon by the PLC (e.g. Homebrew cloud usage on a personal credit card) (only one approval needed)
+- approving Open Collective expenses that are expected or have already been agreed u... | true |
Other | Homebrew | brew | ae7b547ab61768ed3e95d4c12272e034ce06afac.json | docs/Homebrew-Governance: State the election types for PLC and PL
- A vote passed in 2021 on an amendment to use these election types (https://github.com/Homebrew/brew/pull/10637), but the changes to the governance document were only made in Homebrew/brew, not in Homebrew/homebrew-governance-private: https://github.co... | docs/Homebrew-Governance.md | @@ -50,7 +50,7 @@
1. The financial administration of Homebrew, organisation of the AGM, enforcement of the code of conduct and removal of members are performed by the PLC. The PLC will represent Homebrew in all dealings with OpenCollective.
-2. The PLC consists of five members including the Project Leader. Committ... | false |
Other | Homebrew | brew | 4c19d6717614c1c17fa6c557c9ef41d7ff068c1e.json | extend/os/mac/keg.rb: move codesign_patched_binary here | Library/Homebrew/extend/os/mac/keg.rb | @@ -25,4 +25,41 @@ class Keg
def binary_executable_or_library_files
mach_o_files
end
+
+ def codesign_patched_binary(file)
+ return if MacOS.version < :big_sur
+ return unless Hardware::CPU.arm?
+
+ odebug "Codesigning #{file}"
+ # Use quiet_system to squash notifications about resigning binarie... | false |
Other | Homebrew | brew | 3b089ee90195c9ce024b4b820c85d9368af34b86.json | keg.rb: add generic codesign_patched_binary method | Library/Homebrew/keg.rb | @@ -529,6 +529,8 @@ def binary_executable_or_library_files
elf_files
end
+ def codesign_patched_binary(file); end
+
private
def resolve_any_conflicts(dst, dry_run: false, verbose: false, overwrite: false) | false |
Other | Homebrew | brew | 7d0625a669e993ef25f7dac45ba712862fdc8dcd.json | Update RBI files for rubocop. | Library/Homebrew/sorbet/rbi/gems/rubocop@1.27.0.rbi | @@ -691,6 +691,7 @@ module RuboCop::Cop::AutocorrectLogic
def autocorrect?; end
def autocorrect_enabled?; end
def autocorrect_requested?; end
+ def autocorrect_with_disable_uncorrectable?; end
def correctable?; end
def disable_uncorrectable?; end
def safe_autocorrect?; end
@@ -1010,15 +1011,15 @@ end... | false |
Other | Homebrew | brew | 0c0cdf81051217e2ac6721c92aaa5dad57f29de7.json | dev-cmd/audit: fix error with --installed | Library/Homebrew/dev-cmd/audit.rb | @@ -129,7 +129,7 @@ def audit
end
elsif args.installed?
no_named_args = true
- [Formula.installed, Cask::Cask.casks]
+ [Formula.installed, Cask::Caskroom.casks]
elsif args.no_named?
no_named_args = true
[Formula.all, Cask::Cask.all] | false |
Other | Homebrew | brew | f5696efc1620da3ee3906e6961d71181cb047f4b.json | set prefer_loading_from_api for fetch | Library/Homebrew/cmd/fetch.rb | @@ -66,7 +66,7 @@ def fetch
args = fetch_args.parse
bucket = if args.deps?
- args.named.to_formulae_and_casks.flat_map do |formula_or_cask|
+ args.named.to_formulae_and_casks(prefer_loading_from_api: true).flat_map do |formula_or_cask|
case formula_or_cask
when Formula
... | false |
Other | Homebrew | brew | 0ec9cf721c8e99d76c290ef6c2cc765171318142.json | pr-pull: fix trailing whitespace | Library/Homebrew/dev-cmd/pr-pull.rb | @@ -236,7 +236,7 @@ def autosquash!(original_commit, tap:, reason: "", verbose: false, resolve: fals
files_to_commits[file] ||= []
files_to_commits[file] << commit
tap_file = tap.path/file
- if (tap_file.dirname == tap.formula_dir || tap_file.dirname == tap.cask_dir) &&
+ if (t... | false |
Other | Homebrew | brew | 244a37ab7bad25e96f8064ac35fd3fa65492192f.json | Update RBI files for sorbet. | Library/Homebrew/sorbet/rbi/hidden-definitions/hidden.rbi | @@ -6506,14 +6506,6 @@ module Socket::Constants
TCP_NOPUSH = ::T.let(nil, ::T.untyped)
end
-class SortedSet
- def initialize(*args, &block); end
-end
-
-class SortedSet
- def self.setup(); end
-end
-
class Spoom::Cli::Bump
extend ::T::Sig
extend ::T::Private::Methods::MethodHooks | false |
Other | Homebrew | brew | f6b9ca88f47467bfe0f2fe44b63ea296a40e5b64.json | Update RBI files for tapioca. | Library/Homebrew/sorbet/rbi/gems/tapioca@0.7.1.rbi | @@ -577,6 +577,7 @@ module Tapioca::Dsl; end
class Tapioca::Dsl::Compiler
extend T::Generic
include ::Tapioca::Runtime::Reflection
+ include ::Tapioca::SignaturesHelper
include ::Tapioca::Dsl::Helpers::ParamHelper
extend ::Tapioca::Runtime::Reflection
@@ -648,6 +649,8 @@ Tapioca::Dsl::Compilers::NAMESPA... | false |
Other | Homebrew | brew | 212a9efaf54ebd0414144059c54bbeead95b137e.json | rubocops/uses_from_macos: allow keg only berkeley-db | Library/Homebrew/rubocops/uses_from_macos.rb | @@ -11,6 +11,7 @@ class ProvidedByMacos < FormulaCop
PROVIDED_BY_MACOS_FORMULAE = %w[
apr
bc
+ berkeley-db
bison
bzip2
cups | false |
Other | Homebrew | brew | c4f7f41275d8a7b79d4f924b9fec729508033eb2.json | Update RBI files for parallel_tests. | Library/Homebrew/sorbet/rbi/gems/parallel_tests@3.8.1.rbi | @@ -1,9 +1,9 @@
+# typed: true
+
# DO NOT EDIT MANUALLY
# This is an autogenerated file for types exported from the `parallel_tests` gem.
# Please instead update this file by running `bin/tapioca gem parallel_tests`.
-# typed: true
-
module ParallelTests
class << self
def bundler_enabled?; end | false |
Other | Homebrew | brew | e486c8710ba32a428d1349b5bc46fdef96254aea.json | change the operator | Library/Homebrew/extend/os/mac/search.rb | @@ -37,7 +37,7 @@ def search_casks(string_or_regex)
.search(string_or_regex)
cask_names = Cask::Cask.all.map(&:full_name)
- results |= DidYouMean::SpellChecker.new(dictionary: cask_names)
+ results += DidYouMean::SpellChecker.new(dictionary: cask_names)
... | false |
Other | Homebrew | brew | 9ce5f2960585c2f86e843431d5b0b7cfb0b70d16.json | Update RBI files for sorbet. | Library/Homebrew/sorbet/rbi/hidden-definitions/hidden.rbi | @@ -2445,10 +2445,6 @@ module Hardware
extend ::T::Private::Methods::SingletonMethodHooks
end
-class Hash
- def self.try_convert(arg); end
-end
-
module Homebrew
MAX_PORT = ::T.let(nil, ::T.untyped)
MIN_PORT = ::T.let(nil, ::T.untyped) | false |
Other | Homebrew | brew | 51a57760715fb84e58187563943092351e86c171.json | os/mac/xcode: fix latest Xcode on Big Sur | Library/Homebrew/os/mac/xcode.rb | @@ -23,7 +23,8 @@ module Xcode
def latest_version(macos: MacOS.version)
latest_stable = "13.3"
case macos
- when "12", "11" then latest_stable
+ when "12" then latest_stable
+ when "11" then "13.2.1"
when "10.15" then "12.4"
when "10.14" then "11.3.1"
... | false |
Other | Homebrew | brew | a0d422fb6f18224d86cc023eb5f126d134e5c68b.json | Update RBI files for spoom. | Library/Homebrew/sorbet/rbi/gems/spoom@1.1.9.rbi | @@ -6,7 +6,7 @@
module Spoom
class << self
- sig { params(cmd: String, arg: String, path: String, capture_err: T::Boolean).returns([String, T::Boolean, Integer]) }
+ sig { params(cmd: ::String, arg: ::String, path: ::String, capture_err: T::Boolean).returns(::Spoom::ExecResult) }
def exec(cmd, *arg, pa... | true |
Other | Homebrew | brew | a0d422fb6f18224d86cc023eb5f126d134e5c68b.json | Update RBI files for spoom. | Library/Homebrew/sorbet/rbi/hidden-definitions/hidden.rbi | @@ -6599,6 +6599,12 @@ module Spoom::Git
extend ::T::Private::Methods::SingletonMethodHooks
end
+class Spoom::LSP::Client
+ extend ::T::Sig
+ extend ::T::Private::Methods::MethodHooks
+ extend ::T::Private::Methods::SingletonMethodHooks
+end
+
class Spoom::LSP::Diagnostic
extend ::T::Sig
extend ::T::Pri... | true |
Other | Homebrew | brew | 0c03a7d583be7e67bc6f575d49a6d005e80428af.json | Update RBI files for rubocop. | Library/Homebrew/sorbet/rbi/gems/rubocop@1.26.1.rbi | @@ -4058,6 +4058,7 @@ module RuboCop::Cop::LineLengthHelp
def allow_uri?; end
def allowed_uri_position?(line, uri_range); end
def directive_on_source_line?(line_index); end
+ def extend_uri_end_position(line, end_position); end
def find_excessive_uri_range(line); end
def ignore_cop_directives?; end
d... | false |
Other | Homebrew | brew | d0f5a1e1495a52771aec7c140afcf96c98259d8a.json | Update RBI files for concurrent-ruby. | Library/Homebrew/sorbet/rbi/gems/concurrent-ruby@1.1.10.rbi | @@ -1,9 +1,9 @@
+# typed: true
+
# DO NOT EDIT MANUALLY
# This is an autogenerated file for types exported from the `concurrent-ruby` gem.
# Please instead update this file by running `bin/tapioca gem concurrent-ruby`.
-# typed: true
-
module Concurrent
extend ::Concurrent::Utility::EngineDetector
extend ::... | true |
Other | Homebrew | brew | d0f5a1e1495a52771aec7c140afcf96c98259d8a.json | Update RBI files for concurrent-ruby. | Library/Homebrew/sorbet/rbi/hidden-definitions/hidden.rbi | @@ -3488,7 +3488,13 @@ end
Net::HTTPFatalErrorCode = Net::HTTPClientError
-Net::HTTPInformationCode = Net::HTTPInformation
+class Net::HTTPInformation
+end
+
+Net::HTTPInformationCode::EXCEPTION_TYPE = Net::HTTPError
+
+class Net::HTTPInformation
+end
class Net::HTTPLoopDetected
HAS_BODY = ::T.let(nil, ::T.u... | true |
Other | Homebrew | brew | 5511a3d1d8d36e41ebe2a28b775ef0e22bc264a1.json | Update RBI files for parallel. | Library/Homebrew/sorbet/rbi/gems/parallel@1.22.0.rbi | @@ -1,9 +1,9 @@
+# typed: true
+
# DO NOT EDIT MANUALLY
# This is an autogenerated file for types exported from the `parallel` gem.
# Please instead update this file by running `bin/tapioca gem parallel`.
-# typed: true
-
module Parallel
extend ::Parallel::ProcessorCount
@@ -26,11 +26,14 @@ module Parallel
... | false |
Other | Homebrew | brew | bf9bae0bef404cb04ed2fccc09fc902037fea9d5.json | Update RBI files for rubocop-rails. | Library/Homebrew/sorbet/rbi/gems/rubocop-rails@2.14.2.rbi | @@ -1137,10 +1137,9 @@ class RuboCop::Cop::Rails::MigrationClassName < ::RuboCop::Cop::Base
private
- def basename_without_timestamp_and_suffix; end
+ def basename_without_timestamp_and_suffix(filepath); end
+ def camelize(word); end
def remove_gem_suffix(file_name); end
- def to_camelcase(word); end
- d... | false |
Other | Homebrew | brew | 543498859ecb322e588fd04dad566b084486b246.json | repair arch meaning | docs/Cask-Cookbook.md | @@ -502,7 +502,7 @@ The available symbols for hardware are:
| ---------- | -------------- |
| `:x86_64` | 64-bit Intel |
| `:intel` | 64-bit Intel |
-| `:arm64` | Apple M1 |
+| `:arm64` | Apple Silicon |
The following are all valid expressions:
| false |
Other | Homebrew | brew | ab8d3722723137889969d57028adacc7e2038ce5.json | add arm64 info to Cask-Cookbook.md | docs/Cask-Cookbook.md | @@ -502,17 +502,17 @@ The available symbols for hardware are:
| ---------- | -------------- |
| `:x86_64` | 64-bit Intel |
| `:intel` | 64-bit Intel |
+| `:arm64` | Apple M1 |
The following are all valid expressions:
```ruby
depends_on arch: :intel
depends_on arch: :x86_64 # same meanin... | false |
Other | Homebrew | brew | 07de9ab0eee51374e1835dd7f1d2d6ad1a6a5f16.json | Update RBI files for rubocop-rails. | Library/Homebrew/sorbet/rbi/gems/rubocop-rails@2.14.1.rbi | @@ -1130,13 +1130,15 @@ RuboCop::Cop::Rails::MatchRoute::MSG = T.let(T.unsafe(nil), String)
RuboCop::Cop::Rails::MatchRoute::RESTRICT_ON_SEND = T.let(T.unsafe(nil), Array)
class RuboCop::Cop::Rails::MigrationClassName < ::RuboCop::Cop::Base
+ include ::RuboCop::Cop::MigrationsHelper
extend ::RuboCop::Cop::AutoC... | false |
Other | Homebrew | brew | 23f4c5a3a03ce9c6eed0b390793b22654e5032b3.json | Update RBI files for rubocop-rails. | Library/Homebrew/sorbet/rbi/gems/rubocop-rails@2.14.0.rbi | @@ -36,6 +36,10 @@ RuboCop::Cop::ActiveRecordMigrationsHelper::POSTGRES_SCHEMA_DEFINITIONS = T.let(
RuboCop::Cop::ActiveRecordMigrationsHelper::RAILS_ABSTRACT_SCHEMA_DEFINITIONS = T.let(T.unsafe(nil), Array)
RuboCop::Cop::ActiveRecordMigrationsHelper::RAILS_ABSTRACT_SCHEMA_DEFINITIONS_HELPERS = T.let(T.unsafe(nil), A... | true |
Other | Homebrew | brew | 23f4c5a3a03ce9c6eed0b390793b22654e5032b3.json | Update RBI files for rubocop-rails. | Library/Homebrew/sorbet/rbi/hidden-definitions/hidden.rbi | @@ -5027,7 +5027,11 @@ module RuboCop::AST::NodePattern::Sets
SET_BUILD_RECOMMENDED_TEST_OPTIONAL = ::T.let(nil, ::T.untyped)
SET_DEPENDS_ON_USES_FROM_MACOS = ::T.let(nil, ::T.untyped)
SET_INCLUDE_WITH_WITHOUT = ::T.let(nil, ::T.untyped)
+ SET_MESSAGES_DETAILS = ::T.let(nil, ::T.untyped)
+ SET_NOTICE_ALERT =... | true |
Other | Homebrew | brew | 6f6e180cbe898b7701bbb110eb990f87510c316f.json | Update RBI files for rbi. | Library/Homebrew/sorbet/rbi/gems/rbi@0.0.14.rbi | @@ -662,6 +662,9 @@ class RBI::Loc
sig { returns(T.nilable(::String)) }
def file; end
+ sig { returns(T.nilable(::String)) }
+ def source; end
+
sig { returns(::String) }
def to_s; end
@@ -1903,6 +1906,9 @@ class RBI::TreeBuilder < ::RBI::ASTVisitor
end
def initialize(file:, comments: T.unsafe(n... | true |
Other | Homebrew | brew | 6f6e180cbe898b7701bbb110eb990f87510c316f.json | Update RBI files for rbi. | Library/Homebrew/sorbet/rbi/hidden-definitions/hidden.rbi | @@ -4204,6 +4204,12 @@ class RBI::Rewriters::RemoveKnownDefinitions::Operation
extend ::T::Private::Methods::SingletonMethodHooks
end
+class RBI::UnexpectedParserError
+ extend ::T::Sig
+ extend ::T::Private::Methods::MethodHooks
+ extend ::T::Private::Methods::SingletonMethodHooks
+end
+
class RBI::Visitor
... | true |
Other | Homebrew | brew | 7a60256ed5b3f507623e8030c5769d2983a5a3ca.json | Update RBI files for unf_ext. | Library/Homebrew/sorbet/rbi/gems/unf_ext@0.0.8.1.rbi | @@ -1,8 +1,8 @@
+# typed: true
+
# DO NOT EDIT MANUALLY
# This is an autogenerated file for types exported from the `unf_ext` gem.
# Please instead update this file by running `bin/tapioca gem unf_ext`.
-# typed: true
-
# THIS IS AN EMPTY RBI FILE.
# see https://github.com/Shopify/tapioca/wiki/Manual-Gem-Require... | false |
Other | Homebrew | brew | d23de6c54ceab57f7254dd0853b461e28af9d43e.json | shims: enable cc arg refurbishment for ninja | Library/Homebrew/shims/linux/super/ninja | @@ -0,0 +1 @@
+../../super/ninja
\ No newline at end of file | true |
Other | Homebrew | brew | d23de6c54ceab57f7254dd0853b461e28af9d43e.json | shims: enable cc arg refurbishment for ninja | Library/Homebrew/shims/mac/super/ninja | @@ -0,0 +1 @@
+../../super/ninja
\ No newline at end of file | true |
Other | Homebrew | brew | d23de6c54ceab57f7254dd0853b461e28af9d43e.json | shims: enable cc arg refurbishment for ninja | Library/Homebrew/shims/super/ninja | @@ -0,0 +1,19 @@
+#!/bin/bash
+
+# HOMEBREW_LIBRARY is set by bin/brew
+# HOMEBREW_CCCFG and HOMEBREW_OPT are set by extend/ENV/super.rb
+# shellcheck disable=SC2154
+if [[ -z "${HOMEBREW_LIBRARY}" ]]
+then
+ echo "${0##*/}: This shim is internal and must be run via brew." >&2
+ exit 1
+fi
+
+source "${HOMEBREW_LIBRA... | true |
Other | Homebrew | brew | 35f426e3e23efe1385bc30cda9923367dbd77ac6.json | keg.rb: add generic codesign_patched_binary method | Library/Homebrew/keg.rb | @@ -529,6 +529,8 @@ def binary_executable_or_library_files
elf_files
end
+ def codesign_patched_binary(_binary_file); end
+
private
def resolve_any_conflicts(dst, dry_run: false, verbose: false, overwrite: false) | false |
Other | Homebrew | brew | e8a8fc1e18159634ad1dc112ff123e4e092aa473.json | Update RBI files for activesupport. | Library/Homebrew/sorbet/rbi/gems/activesupport@6.1.5.rbi | @@ -2784,7 +2784,6 @@ end
module ActiveSupport::VERSION; end
ActiveSupport::VERSION::MAJOR = T.let(T.unsafe(nil), Integer)
ActiveSupport::VERSION::MINOR = T.let(T.unsafe(nil), Integer)
-ActiveSupport::VERSION::PRE = T.let(T.unsafe(nil), String)
ActiveSupport::VERSION::STRING = T.let(T.unsafe(nil), String)
ActiveSu... | true |
Other | Homebrew | brew | e8a8fc1e18159634ad1dc112ff123e4e092aa473.json | Update RBI files for activesupport. | Library/Homebrew/sorbet/rbi/hidden-definitions/hidden.rbi | @@ -24,6 +24,10 @@ module ActiveSupport::ForkTracker::CoreExtPrivate
include ::ActiveSupport::ForkTracker::CoreExt
end
+module ActiveSupport::VERSION
+ PRE = ::T.let(nil, ::T.untyped)
+end
+
class Addrinfo
def connect_internal(local_addrinfo, timeout=T.unsafe(nil)); end
end | true |
Other | Homebrew | brew | 2c4ad58d16d6c137e3d26ff494450f3064364d02.json | test/software_spec/bottle_spec.rb: add unit tests | Library/Homebrew/test/software_spec/bottle_spec.rb | @@ -41,6 +41,18 @@
end
end
+ describe "#compatible_locations?" do
+ it "checks if the bottle cellar is relocatable" do
+ expect(bottle_spec.compatible_locations?).to be false
+ end
+ end
+
+ describe "#tag_to_cellar" do
+ it "returns the cellar for a tag" do
+ expect(bottle_spec.tag_to_c... | false |
Other | Homebrew | brew | 17005b93abbc0e95c5bdf9bcee485f12f2a14778.json | software_spec.rb: add tag_to_cellar method | Library/Homebrew/software_spec.rb | @@ -504,14 +504,19 @@ def root_url(var = nil, specs = {})
end
end
- sig { params(tag: Utils::Bottles::Tag).returns(T::Boolean) }
- def compatible_locations?(tag: Utils::Bottles.tag)
+ sig { params(tag: Utils::Bottles::Tag).returns(T.any(Symbol, String)) }
+ def tag_to_cellar(tag = Utils::Bottles.tag)
... | false |
Other | Homebrew | brew | 39923cdb7f037e719aa32da96088c5603a080595.json | linkage_checker: restrict `RPATH` test to `--strict`
This test is causing some rebuilds due to failed linkage upon upgrade.
That's a problem because rebuilds won't fix the problem that the `RPATH`
check identifies. | Library/Homebrew/linkage_checker.rb | @@ -70,14 +70,16 @@ def display_test_output(puts_output: true, strict: false)
display_items "Broken dependencies", @broken_deps, puts_output: puts_output
display_items "Unwanted system libraries", @unwanted_system_dylibs, puts_output: puts_output
display_items "Conflicting libraries", @version_conflict_d... | false |
Other | Homebrew | brew | c9965657df0cc2ebcfd09b0215e56fa6515e7aea.json | Update RBI files for rubocop. | Library/Homebrew/sorbet/rbi/gems/rubocop@1.26.0.rbi | @@ -158,7 +158,7 @@ class RuboCop::CLI::Environment
def run(name); end
end
-class RuboCop::CLI::Finished < ::RuntimeError; end
+class RuboCop::CLI::Finished < ::StandardError; end
RuboCop::CLI::STATUS_ERROR = T.let(T.unsafe(nil), Integer)
RuboCop::CLI::STATUS_INTERRUPTED = T.let(T.unsafe(nil), Integer)
RuboCop... | false |
Other | Homebrew | brew | f4b70185a5cdc0a738fff8a20a49bcfc5b92c9c7.json | Update RBI files for bootsnap. | Library/Homebrew/sorbet/rbi/gems/bootsnap@1.11.1.rbi | @@ -18,6 +18,7 @@ module Bootsnap
def log!; end
def logger; end
def logger=(logger); end
+ def rb_get_path(fname); end
def setup(cache_dir:, development_mode: T.unsafe(nil), load_path_cache: T.unsafe(nil), autoload_paths_cache: T.unsafe(nil), disable_trace: T.unsafe(nil), compile_cache_iseq: T.un... | false |
Other | Homebrew | brew | 7f1a208a22989ee2096cd8fb72248d160ff69602.json | Update RBI files for rubocop-performance. | Library/Homebrew/sorbet/rbi/gems/rubocop-performance@1.13.3.rbi | @@ -405,8 +405,8 @@ class RuboCop::Cop::Performance::MapCompact < ::RuboCop::Cop::Base
def compact_method_with_final_newline_range(compact_method_range); end
def invoke_method_after_map_compact_on_same_line?(compact_node, chained_method); end
- def map_method_and_compact_method_on_same_line?(compact_node); end... | false |
Other | Homebrew | brew | 6642801b04b7522d6f89599660e448e49b1411f6.json | Show total disk space freed on cleanup. | Library/Homebrew/cleanup.rb | @@ -363,15 +363,13 @@ def cleanup_path(path)
return unless path.exist?
return unless @cleaned_up_paths.add?(path)
- disk_usage = path.disk_usage
+ @disk_cleanup_size += path.disk_usage
if dry_run?
puts "Would remove: #{path} (#{path.abv})"
- @disk_cleanup_size += disk_... | false |
Other | Homebrew | brew | ff54a799336ff99ee1a747a5248f3d7d18a6657a.json | remove useless attr_writer | Library/Homebrew/formula_installer.rb | @@ -41,9 +41,6 @@ class FormulaInstaller
attr_predicate :force_bottle?, :ignore_deps?, :only_deps?, :interactive?, :git?, :force?, :overwrite?, :keep_tmp?
attr_predicate :verbose?, :debug?, :quiet?
- # TODO: Remove when removed from `test-bot`.
- attr_writer :build_bottle
-
def initialize(
formula,
... | false |
Other | Homebrew | brew | 4db0b9963c401296f7099118ac0a36fce8cf3114.json | test/spec_helper: prevent stdin trashing | Library/Homebrew/test/spec_helper.rb | @@ -214,12 +214,14 @@ def find_files
@__stdout = $stdout.clone
@__stderr = $stderr.clone
+ @__stdin = $stdin.clone
begin
if (example.metadata.keys & [:focus, :byebug]).empty? && !ENV.key?("HOMEBREW_VERBOSE_TESTS")
$stdout.reopen(File::NULL)
$stderr.reopen(File::NULL)
... | false |
Other | Homebrew | brew | a2f95125f0828e5c8801000ef459a6dc9e180ef1.json | test/os/mac/dependency_collector_spec: fix svn test on older macOS | Library/Homebrew/test/os/mac/dependency_collector_spec.rb | @@ -35,10 +35,6 @@
specify "Resource dependency from a Subversion URL" do
resource = Resource.new
resource.url("svn://brew.sh/foo/bar")
- if MacOS.version < :catalina
- expect(collector.add(resource)).to be_nil
- else
- expect(collector.add(resource)).not_to be_nil
- end
+ expect(coll... | false |
Other | Homebrew | brew | 84632598a0d07782ce3f9f3a51914c174924d511.json | utils/github: Add a `branch_exists?` method
- I wrote this as part of
https://github.com/issyl0/homebrew-maintenance-utils/blob/main/cmd/find-invalid-head-branches.rb,
as I needed to check if a branch exists on a repo, and thought I'd properly add
it in case it's useful to others. | Library/Homebrew/utils/github.rb | @@ -80,6 +80,13 @@ def write_access?(repo, user = nil)
["admin", "write"].include?(permission(repo, user)["permission"])
end
+ def branch_exists?(user, repo, branch)
+ API.open_rest("#{API_URL}/repos/#{user}/#{repo}/branches/#{branch}")
+ true
+ rescue API::HTTPNotFoundError
+ false
+ end
+
def... | false |
Other | Homebrew | brew | 62e1f41f9bd5ab215f1451dbb81e93caa0f4d95a.json | Revert "keg_relocate.rb: create generic codesign_patched_binary"
This reverts commit 39fc3862538fa5226f4d17e94f1e1c74b7eadeb2. | Library/Homebrew/keg_relocate.rb | @@ -214,8 +214,6 @@ def each_unique_binary_file(&block)
end
end
- def codesign_patched_binary(_binary_file); end
-
def lib
path/"lib"
end | false |
Other | Homebrew | brew | 08be8e45acc79b1219e385a97e7f1a65d73a9602.json | Update RBI files for rbi. | Library/Homebrew/sorbet/rbi/gems/rbi@0.0.12.rbi | @@ -1,1685 +0,0 @@
-# typed: true
-
-# DO NOT EDIT MANUALLY
-# This is an autogenerated file for types exported from the `rbi` gem.
-# Please instead update this file by running `bin/tapioca gem rbi`.
-
-module RBI; end
-
-class RBI::ASTVisitor
- abstract!
-
- def initialize(*args, &blk); end
-
- sig { abstract.para... | true |
Other | Homebrew | brew | 08be8e45acc79b1219e385a97e7f1a65d73a9602.json | Update RBI files for rbi. | Library/Homebrew/sorbet/rbi/gems/rbi@0.0.13.rbi | @@ -0,0 +1,2056 @@
+# typed: true
+
+# DO NOT EDIT MANUALLY
+# This is an autogenerated file for types exported from the `rbi` gem.
+# Please instead update this file by running `bin/tapioca gem rbi`.
+
+module RBI; end
+
+class RBI::ASTVisitor
+ abstract!
+
+ def initialize(*args, &blk); end
+
+ sig { abstract.para... | true |
Other | Homebrew | brew | 39fc3862538fa5226f4d17e94f1e1c74b7eadeb2.json | keg_relocate.rb: create generic codesign_patched_binary | Library/Homebrew/keg_relocate.rb | @@ -214,6 +214,8 @@ def each_unique_binary_file(&block)
end
end
+ def codesign_patched_binary(_binary_file); end
+
def lib
path/"lib"
end | false |
Other | Homebrew | brew | cec469c3d956fc7cc056765c249b975ae0f8d2c3.json | rubocop: Remove an allowlist entry for `blacklist` usage
- The usage in the `xmlsectool` formula went away in
https://github.com/Homebrew/homebrew-core/commit/76618ad7fca31ed7c5a7c1f8a4c688662bbacc64.
- If I revert the changes in that commit and run
`brew style --only="Naming/InclusiveLanguage" xmlsectool`, RuboCo... | Library/.rubocop.yml | @@ -95,9 +95,6 @@ Naming/InclusiveLanguage:
- "ssdb_slave" # Used in formula `ssdb`
- "var_slave" # Used in formula `ssdb`
- "patches/13_fix_scope_for_show_slave_status_data.patch" # Used in formula `mytop`
- blacklist:
- AllowedRegex:
- - "--listBlacklist" # Used in formula `x... | false |
Other | Homebrew | brew | ac9af0dbbc3b466dbef58ffd3a7ee14b1cec87db.json | github_packages: fix OOM with large bottles | Library/Homebrew/github_packages.rb | @@ -3,6 +3,7 @@
require "utils/curl"
require "json"
+require "zlib"
# GitHub Packages client.
#
@@ -21,6 +22,9 @@ class GitHubPackages
URL_REGEX = %r{(?:#{Regexp.escape(URL_PREFIX)}|#{Regexp.escape(DOCKER_PREFIX)})([\w-]+)/([\w-]+)}.freeze
+ GZIP_BUFFER_SIZE = 64 * 1024
+ private_constant :GZIP_BUFFER_... | false |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.